Package org.eclipse.birt.report.engine.extension

# Interface IQueryResultSet

All Superinterfaces:
  `IBaseResultSet`

public interface IQueryResultSet extends IBaseResultSet

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.extension.IBaseResultSet

`CUBE_RESULTSET, QUERY_RESULTSET`

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`getBigDecimal(String name)`
Returns the value of a bound column as the BigDecimal data type.
`Blob`
`getBlob(String name)`
Returns the value of a bound column as the Blob data type.
`Boolean`
`getBoolean(String name)`
Returns the value of a bound column as the Boolean data type.
`byte[]`
`getBytes(String name)`
Returns the value of a bound column as the byte[] data type.
`Date`
`getDate(String name)`
Returns the value of a bound column as the Date data type.
`Double`
`getDouble(String name)`
Returns the value of a bound column as the Double data type.
`int`
`getEndingGroupLevel()`
Returns the 1-based index of the outermost group in which the current row is the first row.
`String`
`getGroupId(int groupLevel)`
`Integer`
`getInteger(String name)`
Returns the value of a bound column as the Integer data type.
`org.eclipse.birt.data.engine.api.IResultIterator`
`getResultIterator()`
`org.eclipse.birt.data.engine.api.IResultMetaData`
`getResultMetaData()`
Returns the metadata of this result set's detail row.
`long`
`getRowIndex()`
`int`
`getStartingGroupLevel()`
Returns the 1-based index of the outermost group in which the current row is the last row.
`String`
`getString(String name)`
Returns the value of a bound column as the String data type.
`Object`
`getValue(String name)`
Returns the value of a bound column.
`boolean`
`isBeforeFirst()`
Judges if the IResultSet's cursor on before the first row.
`boolean`
`isEmpty()`
Judges if the IResultSet is empty or not.
`boolean`
`isFirst()`
Judges if the IResultSet is on the first row.
`boolean`
`next()`
`boolean`
`skipTo(long rowIndex)`

### Methods inherited from interface org.eclipse.birt.report.engine.extension.IBaseResultSet

`close, evaluate, evaluate, evaluate, getID, getParent, getQueryResults, getRawID, getType`

## Method Details

### getResultIterator

org.eclipse.birt.data.engine.api.IResultIterator getResultIterator()

### getRowIndex

long getRowIndex()

### skipTo

boolean skipTo(long rowIndex) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### next

boolean next() throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getGroupId

String getGroupId(int groupLevel)

### getStartingGroupLevel

int getStartingGroupLevel() throws org.eclipse.birt.core.exception.BirtException
Returns the 1-based index of the outermost group in which the current row is the last row. For example, if a query contain N groups (group with index 1 being the outermost group, and group with index N being the innermost group), and this function returns a value M, it indicates that the current row is the last row in groups with indexes (M, M+1, ..., N ). -1 represents current row is a detail row. 0 represents the end of whole resultset

Returns:
  1-based index of the outermost group in which the current row is the first row; (N+1) if the current row is not at the start of any group; 0 if the result set has no groups.
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getEndingGroupLevel

int getEndingGroupLevel() throws org.eclipse.birt.core.exception.BirtException
Returns the 1-based index of the outermost group in which the current row is the first row. For example, if a query contain N groups (group with index 1 being the outermost group, and group with index N being the innermost group), and this function returns a value M, it indicates that the current row is the first row in groups with indexes (M, M+1, ..., N ).

Returns:
  1-based index of the outermost group in which the current row is the first row; (N+1) if the current row is not at the start of any group; 0 if the result set has no groups.
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getResultMetaData

org.eclipse.birt.data.engine.api.IResultMetaData getResultMetaData() throws org.eclipse.birt.core.exception.BirtException
Returns the metadata of this result set's detail row.

Returns:
  The result metadata of a detail row.
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getValue

Object getValue(String name) throws org.eclipse.birt.core.exception.BirtException
Returns the value of a bound column. Currently it is only a dummy implementation.

Parameters:
  `name` - of bound column
Returns:
  value of bound column
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getBoolean

Boolean getBoolean(String name) throws org.eclipse.birt.core.exception.BirtException
Returns the value of a bound column as the Boolean data type. Currently it is only a dummy implementation.

Parameters:
  `name` - of bound column
Returns:
  value of bound column
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getInteger

Integer getInteger(String name) throws org.eclipse.birt.core.exception.BirtException
Returns the value of a bound column as the Integer data type. Currently it is only a dummy implementation.

Parameters:
  `name` - of bound column
Returns:
  value of bound column
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getDouble

Double getDouble(String name) throws org.eclipse.birt.core.exception.BirtException
Returns the value of a bound column as the Double data type. Currently it is only a dummy implementation.

Parameters:
  `name` - of bound column
Returns:
  value of bound column
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getString

String getString(String name) throws org.eclipse.birt.core.exception.BirtException
Returns the value of a bound column as the String data type. Currently it is only a dummy implementation.

Parameters:
  `name` - of bound column
Returns:
  value of bound column
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getBigDecimal

BigDecimal getBigDecimal(String name) throws org.eclipse.birt.core.exception.BirtException
Returns the value of a bound column as the BigDecimal data type. Currently it is only a dummy implementation.

Parameters:
  `name` - of bound column
Returns:
  value of bound column
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getDate

Date getDate(String name) throws org.eclipse.birt.core.exception.BirtException
Returns the value of a bound column as the Date data type. Currently it is only a dummy implementation.

Parameters:
  `name` - of bound column
Returns:
  value of bound column
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getBlob

Blob getBlob(String name) throws org.eclipse.birt.core.exception.BirtException
Returns the value of a bound column as the Blob data type. Currently it is only a dummy implementation.

Parameters:
  `name` - of bound column
Returns:
  value of bound column
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getBytes

byte[] getBytes(String name) throws org.eclipse.birt.core.exception.BirtException
Returns the value of a bound column as the byte[] data type. Currently it is only a dummy implementation.

Parameters:
  `name` - of bound column
Returns:
  value of bound column
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### isEmpty

boolean isEmpty() throws org.eclipse.birt.core.exception.BirtException
Judges if the IResultSet is empty or not.

Returns:
  true if IResultSet is empty. false if it is not empty.
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### isFirst

boolean isFirst() throws org.eclipse.birt.core.exception.BirtException
Judges if the IResultSet is on the first row.

Returns:
  true if IResultSet is on the first row.
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### isBeforeFirst

boolean isBeforeFirst() throws org.eclipse.birt.core.exception.BirtException
Judges if the IResultSet's cursor on before the first row.

Returns:
  true if the cursor is before the first row.
Throws:
  `org.eclipse.birt.core.exception.BirtException`